aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Mokrejš <mmokrejs@fold.natur.cuni.cz>2015-01-15 14:02:54 +0100
committerMartin Mokrejš <mmokrejs@fold.natur.cuni.cz>2015-01-15 14:02:54 +0100
commit3839c43e8d39adf0903e21ecb7da3d92efd48646 (patch)
treefd5ac8207eea5430dc1a2755e75b640f143bfe78
parentadded a note about additional bundled package licenses (diff)
downloadsci-3839c43e8d39adf0903e21ecb7da3d92efd48646.tar.gz
sci-3839c43e8d39adf0903e21ecb7da3d92efd48646.tar.bz2
sci-3839c43e8d39adf0903e21ecb7da3d92efd48646.zip
sci-biology/edena: new package
Package-Manager: portage-2.2.7
-rw-r--r--sci-biology/edena/ChangeLog9
-rw-r--r--sci-biology/edena/Manifest1
-rw-r--r--sci-biology/edena/edena-3.131028.ebuild35
-rw-r--r--sci-biology/edena/metadata.xml9
4 files changed, 54 insertions, 0 deletions
diff --git a/sci-biology/edena/ChangeLog b/sci-biology/edena/ChangeLog
new file mode 100644
index 000000000..a3f0909cc
--- /dev/null
+++ b/sci-biology/edena/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-biology/edena
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*edena-3.131028 (15 Jan 2015)
+
+ 15 Jan 2015; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz>
+ +edena-3.131028.ebuild, +metadata.xml:
+ sci-biology/edena: new package
diff --git a/sci-biology/edena/Manifest b/sci-biology/edena/Manifest
new file mode 100644
index 000000000..cbe128f7c
--- /dev/null
+++ b/sci-biology/edena/Manifest
@@ -0,0 +1 @@
+DIST EdenaV3.131028.tar.gz 497784 SHA256 4037fce486c9725107b1690fbc67731713eef54e3fa53081865904c783533230 SHA512 853a5eb0afe507ba7b967075795593df147ad87c7d45be30eac6b24054ec365d7db39c9cd20bb414478a629c98c82bf0621c007c22a447949ee3f749907cae58 WHIRLPOOL 409bdb1e2f4f344198bff0af50e78afd75fffa10b4c252316a61f0c55e49bb4bdb514ed2414343056d31783e27d8ae800f7e33495cbc8f6c61ec57c5c5d974d8
diff --git a/sci-biology/edena/edena-3.131028.ebuild b/sci-biology/edena/edena-3.131028.ebuild
new file mode 100644
index 000000000..0c4fe10b3
--- /dev/null
+++ b/sci-biology/edena/edena-3.131028.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit toolchain-funcs
+
+DESCRIPTION="De novo short read assembler"
+HOMEPAGE="http://www.genomic.ch/edena.php"
+SRC_URI="http://www.genomic.ch/edena/EdenaV"${PV}".tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/EdenaV"${PV}"
+
+src_prepare(){
+ sed -e "s@^CCC.*@CCC = $(tc-getCXX)@" -e "s@^CFLAGS.*@CFLAGS = ${CFLAGS} -pthread@" -i src/Makefile || die
+}
+
+src_compile(){
+ cd src
+ emake
+}
+
+src_install(){
+ dobin src/edena
+ dodoc referenceManual.pdf
+}
diff --git a/sci-biology/edena/metadata.xml b/sci-biology/edena/metadata.xml
new file mode 100644
index 000000000..2bc893037
--- /dev/null
+++ b/sci-biology/edena/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-biology</herd>
+ <maintainer>
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+</pkgmetadata>